Bug 221658 - Kernel panic - not syncing: IO-APIC + timer doesn't work!
Kernel panic - not syncing: IO-APIC + timer doesn't work!
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-01-05 16:48 EST by Brian McMinn
Modified: 2013-02-01 10:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:26:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg from boot with "noapic" option (27.92 KB, text/plain)
2007-01-05 16:48 EST, Brian McMinn
no flags Details

  None (edit)
Description Brian McMinn 2007-01-05 16:48:25 EST
Description of problem:

I loaded fc6 on a newly built machine 2 weeks ago.  It ran reasonably well
and I updated the kernel to 2.6.18-1.2868.fc6 via yum.  The machine was on
over the Christmas break and it is now dead.  On boot, it reports (hand typed)

Uncompressing Linux... Ok, booting the kernel.
..MP-BIOS bug: 8254 timer not connected to IO-APIC
Kernel panic - not syncing: IO-APIC + timer doesn't work!  Boot with apic=debug
and send a report.  Then try booting with the 'noapic' option

Version-Release number of selected component (if applicable):

N/A?

How reproducible:

This never happened during the first week and it always happens now.

Steps to Reproduce:
1. boot machine
  
Actual results:

Above error message.  The machine boots with the "noapic" option but
the "apic=debug" option does not provide any more information.

Expected results:

I'm not sure what is going on here but I expected the machine to continue
working the same way that it originally worked.

Additional info:

May or may not be related to bug 178358 and bug 210744.
Attaching dmesg from most recent successful boot, shows some apic info.
When booted with the "noapic" option, the date function is way off.
This machine will likely be re-imaged with i686 version very soon and that
may or may not change this.
Comment 1 Brian McMinn 2007-01-05 16:48:25 EST
Created attachment 144936 [details]
dmesg from boot with "noapic" option
Comment 2 Brian McMinn 2007-01-05 22:26:15 EST
A bit more info.  This is an MSI motherboard K9NBPM2-FID and it has
the most recent BIOS in it.  If I disable the IOAPIC via the BIOS setting
for it, the system boots normally (and the date function is correct).

However, the dmesg file still shows the IO-APIC being enabled by
Linux as it comes up.  
Comment 3 Darlene J. Ford 2007-01-06 21:11:33 EST
Having the same error message with an AMD64 system after a BIOS upgrade - please
see more detailed description in Bug 175784.
Comment 4 Brian McMinn 2007-01-07 21:03:22 EST
Re-loaded this same hardware with the i686 version of fc6.  I'm also having
trouble with the 1440x900 display on this system but I think that issue is
unrelated (but I'll mention it just in case).  Before loading the i686
version, I re-enabled the IOAPIC in the BIOS because that's what caused the
initial failure.

The re-load went fairly well but the resulting system is very fragile.  I've
tried it with the IOAPIC enabled in BIOS and also disabled in BIOS.  Neither
works well but the system seems slightly more stable when the IOAPIC is
disabled.

The system has not (yet) had a kernel panic.  The message printed out during
boot now says:

..MP-BIOS bug: 8254 timer not connected to IO-APIC
PCI: BIOS Bug: MCFG area e0000000 is not E820-reserved
PCI: not using MMConfig

The main symptom is that the system just locks up.  The lockup almost always
occurs at a point where the display is transitioning in some way (text to
graphics, restart of X server, shutdown of X server).  When the system locks,
the display goes blank and no key sequence or mouse motion will wake it
back up.

The system rarely locks up when someone is logged in and the system is in
use.  Unfortunately, once the system locks up, there isn't much I can do to
get it to show me what went wrong.  I'll try to capture more info if someone
can tell me how to do it.
Comment 5 Jon Stanley 2008-01-07 20:48:36 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 6 Jon Stanley 2008-02-07 23:26:17 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.